Projects
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/cross-project-reports/query/projects \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>",
"lifecycleStatus": "<string>",
"sector": "<string>",
"cursor": "<string>",
"limit": 50,
"projectIds": [
"<string>"
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/cross-project-reports/query/projects"
payload = {
"search": "<string>",
"lifecycleStatus": "<string>",
"sector": "<string>",
"cursor": "<string>",
"limit": 50,
"projectIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
search: '<string>',
lifecycleStatus: '<string>',
sector: '<string>',
cursor: '<string>',
limit: 50,
projectIds: ['<string>']
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/cross-project-reports/query/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cross Project Reports
Projects
POST
/
v1
/
workspaces
/
{workspaceId}
/
cross-project-reports
/
query
/
projects
Projects
Path Parameters
Body
application/json
Required string length:
1 - 200Available options:
active, archived, any Available options:
north_america, east_coast, west_coast, europe, middle_east, latin_america, apac Pattern:
^[a-z][a-z0-9_]{0,63}$Pattern:
^[a-z][a-z0-9_]{0,63}$Required string length:
1 - 4096Required range:
1 <= x <= 100Required array length:
1 - 1000 elementsResponse
200 - undefined
⌘I